Skip to Content
API-ReferenzSportarten

Sportarten

Eine Liste aller verfügbaren Sportarten mit ihren Ligen und Event-Anzahl abrufen.

EndpointsPermalink for this section

GET /api/v1/sports

Erfordert einen API key. Verfügbar in allen Tarifen (Free inklusive). Nicht authentifizierte Anfragen erhalten 401.

Alle Sportarten auflistenPermalink for this section

BeispielanfragenPermalink for this section

curl -X GET "https://api.sharpapi.io/api/v1/sports" \ -H "X-API-Key: YOUR_API_KEY"

AntwortPermalink for this section

{ "data": [ { "id": "basketball", "name": "Basketball", "leagues": ["nba", "ncaab", "wnba"], "event_count": 42, "live_count": 3 }, { "id": "football", "name": "Football", "leagues": ["nfl", "ncaaf"], "event_count": 28, "live_count": 1 }, { "id": "hockey", "name": "Hockey", "leagues": ["nhl"], "event_count": 15, "live_count": 2 }, { "id": "baseball", "name": "Baseball", "leagues": ["mlb"], "event_count": 0, "live_count": 0 }, { "id": "soccer", "name": "Soccer", "leagues": ["epl", "la_liga", "serie_a", "bundesliga", "mls"], "event_count": 35, "live_count": 4 }, { "id": "tennis", "name": "Tennis", "leagues": ["atp", "wta"], "event_count": 18, "live_count": 6 }, { "id": "mma", "name": "MMA", "leagues": ["ufc"], "event_count": 12, "live_count": 0 }, { "id": "golf", "name": "Golf", "leagues": ["pga"], "event_count": 4, "live_count": 1 } ], "meta": { "count": 19, "total": 19, "pagination": { "limit": 50, "offset": 0, "has_more": false, "next_offset": null }, "updated_at": "2026-01-26T12:00:00Z", "filters": {} } }

Schema des Sport-ObjektsPermalink for this section

FeldTypBeschreibung
idstringSport-Identifier (Kleinbuchstaben, in API-Filtern verwenden)
namestringMenschenlesbarer Name der Sportart
leaguesstring[]Liga-IDs innerhalb dieser Sportart
event_countintegerGesamtzahl der derzeit mit Quoten verfügbaren Events
live_countintegerEvents, die derzeit live/im Spiel sind

Verfügbare SportartenPermalink for this section

IDAnzeigenameBeliebte Ligen
basketballBasketballNBA, NCAAB, WNBA
footballFootballNFL, NCAAF
hockeyEishockeyNHL
baseballBaseballMLB
soccerFußballEPL, La Liga, Serie A, Bundesliga, MLS
tennisTennisATP, WTA
mmaMMAUFC
golfGolfPGA
boxingBoxen
cricketCricket
rugbyRugby Union
rugby_leagueRugby League
lacrosseLacrossePLL
motorsportsMotorsportF1, NASCAR
curlingCurling
dartsDartsPDC
snookerSnooker
table_tennisTischtennis
esportsEsportsLoL, CS2, Dota 2

Die Werte event_count und live_count sind dynamisch und ändern sich basierend auf aktuellen Spielplänen. Sportarten außerhalb der Saison zeigen 0 Events an.

Sportarten in Filtern verwendenPermalink for this section

Verwenden Sie die id der Sportart als Filterparameter bei anderen Endpoints:

# Get odds for basketball only curl "https://api.sharpapi.io/api/v1/odds?sport=basketball" \ -H "X-API-Key: YOUR_API_KEY" # Get events for multiple sports curl "https://api.sharpapi.io/api/v1/events?sport=basketball,football" \ -H "X-API-Key: YOUR_API_KEY"

Verwandte EndpointsPermalink for this section

  • Ligen - Ligen mit optionalem Sportfilter auflisten
  • Quoten-Snapshot - Quoten nach Sportart filtern
  • Events - Events nach Sportart filtern
Last updated on